Subject: Re: [Netconf] RFC4743 and RFC4744 (Netconf over SOAP and BEEP) to historic

From: Benoit Claise <[email-masked]>
Date: Wed, 05 Sep 2012 16:42:12 +0200

Bert,

While the new charter proposal follows its procedure, may I suggest that 
you post this draft.
All the current energy in NETCONF could be used to expedite this draft.

Regards, Benoit.

> Can't submit a rev 00 I-D at the moment.
>
> But since we have the "making RFC4743 and RFC4744 to Historic"
> topic as part of a possible revised WG charter on the agenda,
> I did quickly do an initial writeup, so people can see how
> we might approach this.
>
> I have it attached below.
>
> Bert
>
> ----------------------------------------------------------------------
> netconf                                                        B. Wijnen
> Internet-Draft                                             July 19, 2012
> Obsoletes: 4743/4744 (if approved)
> Intended status: Informational
> Expires: January 20, 2013
>
>
>                  RFC4743 and RFC4744 to Historic status
>           draft-bwijnen-netconf-rfc4743-rfc4744-to-historic-00
>
> Abstract
>
>    This document moves RFC4743 (Using NETCONF over the Simple Object
>    Access Protocol (SOAP)) and RFC4744 (Using the NETCONF Protocol over
>    the Blocks Extensible Exchange Protocol (BEEP)) to HISTORIC status to
>    reflect the fact that those two documents have shown very little (if
>    any) implementations and deployment.  Furthermore, no-one in the
>    NETCONF WG is nterested or volunteering to work on them anymore.
>
> Status of this Memo
>
>    This Internet-Draft is submitted in full conformance with the
>    provisions of BCP 78 and BCP 79.
>
>    Internet-Drafts are working documents of the Internet Engineering
>    Task Force (IETF).  Note that other groups may also distribute
>    working documents as Internet-Drafts.  The list of current Internet-
>    Drafts is at http://datatracker.ietf.org/drafts/current/.
>
>    Internet-Drafts are draft documents valid for a maximum of six months
>    and may be updated, replaced, or obsoleted by other documents at any
>    time.  It is inappropriate to use Internet-Drafts as reference
>    material or to cite them other than as "work in progress."
>
>    This Internet-Draft will expire on January 20, 2013.
>
> Copyright Notice
>
>    Copyright (c) 2012 IETF Trust and the persons identified as the
>    document authors.  All rights reserved.
>
>    This document is subject to BCP 78 and the IETF Trust's Legal
>    Provisions Relating to IETF Documents
>    (http://trustee.ietf.org/license-info) in effect on the date of
>    publication of this document.  Please review these documents
>    carefully, as they describe your rights and restrictions with respect
>    to this document.  Code Components extracted from this document must
>    include Simplified BSD License text as described in Section 4.e of
>
>
>
> Wijnen                  Expires January 20, 2013 [Page 1]
> 
> Internet-Draft          RFC4743-RFC4744-historic July 2012
>
>
>    the Trust Legal Provisions and are provided without warranty as
>    described in the Simplified BSD License.
>
>
> Table of Contents
>
>    1.  Introduction  . . . . . . . . . . . . . . . . . . . . . . . . . 3
>    2.  Acknowledgements  . . . . . . . . . . . . . . . . . . . . . . . 3
>    3.  IANA Considerations . . . . . . . . . . . . . . . . . . . . . . 3
>    4.  Security Considerations . . . . . . . . . . . . . . . . . . . . 3
>    5.  References  . . . . . . . . . . . . . . . . . . . . . . . . . . 3
>      5.1.  Normative References  . . . . . . . . . . . . . . . . . . . 3
>      5.2.  Informative References  . . . . . . . . . . . . . . . . . . 3
>    Author's Address  . . . . . . . . . . . . . . . . . . . . . . . . . 4
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
> Wijnen                  Expires January 20, 2013 [Page 2]
> 
> Internet-Draft          RFC4743-RFC4744-historic July 2012
>
>
> 1.  Introduction
>
>    This document moves RFC 4743 [RFC4743] and RFC 4744 [RFC4744] to
>    HISTORIC status in accordance with RFC 2026 [RFC2026].  These have
>    seen very little (if any) implementations or deployment, and none of
>    the initial proponents are active in the NETCONF space anymorei.  No-
>    one (else) in the WG is interested or willing to pick up
>    responsibility for these documents.  Possibly changes might be needed
>    for compatibility with NETCONF 1.1.
>
>    In the WG nobody gave a positive response when asked who is using it
>    or wants to keep it.
>
>
> 2.  Acknowledgements
>
>    Thanks to the original editors/authors of RFC4743 and RFC4744. At
>    the time, these NETCONF transports seemed to be attractive.
>
>
> 3.  IANA Considerations
>
>    This memo includes no request to IANA.
>
>
> 4.  Security Considerations
>
>    This draft introduces no new security considerations.
>
>
> 5.  References
>
> 5.1.  Normative References
>
>    [RFC4743]  Goddard, T., "Using NETCONF over the Simple Object Access
>               Protocol (SOAP)", RFC 4743, December 2006.
>
>    [RFC4744]  Lear, E. and K. Crozier, "Using the NETCONF Protocol over
>               the Blocks Extensible Exchange Protocol (BEEP)", RFC 4744,
>               December 2006.
>
> 5.2.  Informative References
>
>    [RFC2026]  Bradner, S., "The Internet Standards Process -- Revision
>               3", BCP 9, RFC 2026, October 1996.
>
>
>
>
>
>
> Wijnen                  Expires January 20, 2013 [Page 3]
> 
> Internet-Draft          RFC4743-RFC4744-historic July 2012
>
>
> Author's Address
>
>    Bert Wijnen
>    Schagen 33
>    Linschoten,   3461 GL
>    Netherlands
>
>    Phone: +31 348-407-775
>    Email: [email-masked]
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
> Wijnen                  Expires January 20, 2013 [Page 4]
> 
> _______________________________________________
> Netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf
>
>

---

From: Andy Bierman <[email-masked]>
Date: Wed, 5 Sep 2012 08:02:32 -0700

On Wed, Sep 5, 2012 at 7:42 AM, Benoit Claise <[email-masked]> wrote:
> Bert,
>
> While the new charter proposal follows its procedure, may I suggest that you
> post this draft.

I hope we follow a process where we articulate and agree on
the problems we are attempting to solve, instead of the usual
"here's my solution draft, standardize it".

We also learned a thing or 2 about operational state with MIBs
over 20+ years and I hope we don't ignore that.  E.g., we have to
pick our discontinuity timestamp, such as /system/clock/current-datetime.
Some NETCONF systems have no SNMP agent, so sysUpTime
is not appropriate. Also <get> returns everything. That was a mistake
from the start. We could have <get2> return just config=false.  Simple.

IMO the WG is looking for an ocean to boil wrt/ operational state,
and ignoring the little details that could make a difference right away.

> Regards, Benoit.

Andy

---

From: Andy Bierman <[email-masked]>
Date: Wed, 5 Sep 2012 08:11:30 -0700

oops -- though I was responding to a +1 on Operational State, not BEEP.

Andy